#
# spec file for package perl-Test-LeakTrace
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-LeakTrace
Version:        0.15
Release:        4.2
%define cpan_name Test-LeakTrace
Summary:        Traces memory leaks
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-LeakTrace/
Source:         http://www.cpan.org/authors/id/G/GF/GFUJI/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'Test::LeakTrace' provides several functions that trace memory leaks. This
module scans arenas, the memory allocation system, so it can detect any
leaked SVs in given blocks.

*Leaked SVs* are SVs which are not released after the end of the scope they
have been created. These SVs include global variables and internal caches.
For example, if you call a method in a tracing block, perl might prepare a
cache for the method. Thus, to trace true leaks, 'no_leaks_ok()' and
'leaks_cmp_ok()' executes a block more than once.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Test-LeakTrace/Changes
  0.15 2014-11-14 07:51:22+0900
  - Fix test failure on Windows (#1)
* Sun Nov 20 2011 coolo@suse.com
- update to 0.14
  - Fix Test::Valgrind failures (thanks to @shohex)
* Sun May  1 2011 coolo@opensuse.org
- updated to 0.13
  - Fix tests for older perls
  - Use ">= 0", instead of "== 0" for no_leaks_ok()
  - Add count_sv() to count all the SVs in a perl interpreter
  - Resolve RT #58133: "False-positive related to XS code"
* Tue Mar 15 2011 cfarrell@novell.com
- license update: GPL+ or Artistic
  Only license found in package is Perl license which expands to GPL+ or Artistic
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.10
